---
title: "Get Channel Roles"
slug: "get-channel-roles"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Channel Roles

Get/api/v1/channels.roles

Lists all user's roles in the channel.

### Changelog

| Version | Description |
| --- | --- |
| 0.65.0 | Added |

Query parametersroomIdstring

The room ID. It is required if the `roomName` is not provided.

Exampledlpfuijw7ej
roomNamestring

The room name. It is required if the `roomId` is not provided.

Examplegeneral

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='8d4c5387-dd63-4236-83ce-efad09e46f78'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='7be07b2a-864e-441d-b476-9f1ea9c76e06'>Success</option>
</select>Success

```json
{
  "roles": [
    {
      "_id": "rGNoXwYuZshq9FENQ",
      "rid": "WDuJLFkjwk6L7LdFC",
      "u": {
        "_id": "rbAXPnMktTFbNpwtJ",
        "username": "roxie"
      },
      "roles": [
        "owner"
      ]
    },
    {
      "_id": "64ef8a982c26843a68c1f7ae",
      "rid": "WDuJLFkjwk6L7LdFC",
      "u": {
        "_id": "5fRTXMt7DMJbpPJfh",
        "username": "test.test",
        "name": "Testtest"
      },
      "roles": [
        "leader"
      ]
    }
  ],
  "success": true
}
```

Expand Allobject  roles Array of object   object  _idstring    
ridstring    
uobject  _idstring    
usernamestring    
namestring    

roles Array of string   string    

successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='0d115345-3b13-46d7-9311-f2a484be5474'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='c05e6848-6e28-425a-b366-616bf18e3de8'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
